org.keycloak.dom.saml.v2.ac

## Class ExtensionOnlyType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.ExtensionOnlyType

-     public class ExtensionOnlyType
      extends Object

  Java class for ExtensionOnlyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ExtensionOnlyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ExtensionType>` | `extension`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionOnlyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extension

          protected List<ExtensionType> extension

  - ### Constructor Detail

    - #### ExtensionOnlyType

          public ExtensionOnlyType()

  - ### Method Detail

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

Copyright © 2016 JBoss by Red Hat. All rights reserved.